Arch: MeshToShape

From FreeCAD Documentation
Revision as of 00:39, 10 February 2019 by FuzzyBot (talk | contribs) (Updating to match new version of source page)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska

Arch MeshToShape.svg Arch MeshToShape

Menu location
Arch → Utilities → Mesh to Shape
Workbenches
Arch
Default shortcut
None
Introduced in version
-
See also
Arch RemoveShape

Descriere

Acest instrument convertește un obiect selectat Mesh într-un obiect Shape. Notă: Acest instrument este optimizat pentru obiectele cu fețe plate (fără curbe). Instrumentul corespunzător din [Workbench Part] poate fi mai potrivit pentru obiectele care conțin suprafețe curbe.

Cum se folosește

  1. Selectați un obiect tip plasă
  2. apăsați tasta Arch MeshToShape.png Mesh to Shape în meniul Arch → Utilities menu

Scrip-Programare

Acest instrument poate fi utilizat în macros și din consola Python utilizând următoarea funcție:

new_obj = meshToShape(obj, mark=True, fast=True, tol=0.001, flat=False, cut=True)

Transformă o plasă într-op formă, unind fațetele coplanare.

import Arch, Mesh, BuildRegularGeoms

Box = FreeCAD.ActiveDocument.addObject("Mesh::Cube", "Cube")
Box.Length = 1000
Box.Width = 2000
Box.Height = 1000
FreeCAD.ActiveDocument.recompute()

new_obj = Arch.meshToShape(Box)